# -*- coding: utf-8 -*-
"""
Инициализация модуля Spectr:
Создание объекта project
Обработчики событий

(c)2012 ЗАО "РИПАС" и Демин Федор,
www.ripas.ru dff@ripas.ru
"""
import RoadCentre
import gui
from PythonQt import QtGui

if hasattr(RoadCentre.plugins,'SpectrPlugin'):
    from spectr import spectr as sp_module,keepalive

    import selTab
    gui.selectionTable = selTab.selTab(gui.mainWindow, RoadCentre.kernel)
    RoadCentre.project.connect('objectStateChanged(const QObject*)', gui.selectionTable.objectStateChanged)

    import actions
    if not hasattr(RoadCentre.plugins,'EditorPlugin'):
        QtGui.QApplication.instance().connect('aboutToQuit()', actions.closeProject)

    import rdm

    from menu import Menu
    from spectr import submenu
    Menu.devClassMenus['Spectr::Light'] = submenu.ControllerMenu()

    keepalive.init()

    gui.msgOk(u'Инициализации модуля Spectr выполнена')
