# -*- coding: utf-8 -*-
"""
Открытие проета:
Добавление объестов в список
Инициализация соединения с сервером
Обновление всплывающих подсказок

(c)2012 ЗАО "РИПАС" и Демин Федор,
www.ripas.ru dff@ripas.ru
"""
from RoadCentre import project,kernel
from PythonQt import QtCore
project.children()
kernel.itemModel.addObjects(u'Контроллеры',project.objects())

from spectr import sp_module
filter_text=project.property("consoleRequestFilter")
if filter_text: sp_module.requestFilter=filter_text
filter_text=project.property("consoleResponseFilter")
if filter_text: sp_module.responseFilter=filter_text
filter_text=project.property("consoleNotificationFilter")
if filter_text: sp_module.notificationFilter=filter_text
del sp_module

settings=QtCore.QSettings(project.fileName, QtCore.QSettings.IniFormat)
settings.setIniCodec('UTF-8')
AutoConnect=settings.value("Connection/AutoConnect")
if AutoConnect and int(AutoConnect): project.connection.start()

from spectr import tooltip
for o in project.objects(): tooltip.update(o)
