# -*- coding: utf-8 -*-
"""
Обработка аргументов командной строки
Загрузка проекта по-умолчанию

(c)2013 ЗАО "РИПАС"
www.ripas.ru
"""

import settings
from PythonQt import QtGui,QtCore

arg = QtGui.QApplication.instance().arguments
if type(arg) != tuple:
    arg = arg()
if  len(arg) > 1 and  QtCore.QFile(arg[1]).exists():
    projectFile = arg[1]
else:
    projectFile = settings.value('DefaultProject')
    if QtCore.QFile(projectFile).exists():
        settings.userSettings.setValue('Default/DefaultProject',projectFile)
    else:
        projectFile = settings.value('Default/DefaultProject')
        settings.userSettings.remove('DefaultProject')
from actions import openFile
import os
try:
    from RoadCentre import project
    if projectFile and os.path.isfile(projectFile):
        openFile(projectFile)
except:
    pass
